Subject: bug#7583: 23.2; ido loads tramp too eagerly

From: Michael Albinus <[email-masked]>
Date: Wed, 19 Oct 2011 22:33:36 +0200

Stefan Monnier <[email-masked]> writes:

>> I will try to change Tramp's completion algorithm such a way, that in
>> case "C-x C-f /foo: TAB" is pressed, and "foo" is a method found in
>> (mapcar 'car tramp-methods), Tramp does not check "foo" being a
>> hostname. This shall be sufficient for the incrimed case.
>
> That sounds right.  Hopefully it will also fix the problems that
> Thierry encountered.

I haven't done this change (yet), it's more complex than expected.

But during tests I've found another weakness that has led to the error
you have observed. I've committed a patch, maybe you can check?

I will also walk through Thierry's problems.

>         Stefan

Best regards, Michael.